# class SpeechGrammar

#### package js.html

Available on HTML5

The `SpeechGrammar` interface of the Web Speech API represents a set of words or patterns of words that we want the recognition service to recognize.

Documentation SpeechGrammar by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/SpeechGrammar

### Constructor

###

`new ()`

Throws:

`null` | DOMError

### Variables

###

`src:String`

Sets and returns a string containing the grammar from within in the `SpeechGrammar` object instance.

###

`weight:Float`

Sets and returns the weight of the `SpeechGrammar` object.